@import "colors.less";

body {
	margin: 0px;
	width: 100vw;
	height: 100vh;
	background-color: @black;
	overflow: hidden;
}

.ui-container {
	width: 100%;
	height: 100%;
	position: absolute;
	left: 0px;
	top: 0px;
	z-index: 20;
	overflow: hidden;
}

@font-face
{
    font-family: bitty;
    src: url('../fonts/bitty.ttf');
}

* {
	box-sizing: border-box;
	font-family: bitty;
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

.canvasContainer {
	position: relative;
	float: left;

	&.visible {
		opacity: 1;
		transition: 1s;
	}

	canvas {
		left: 0px;
		top: 0px;
	}
}

.disabled {
	opacity: 0.4 !important;
	pointer-events: none !important;
}

::-webkit-scrollbar {
    width: 16px;
}
::-webkit-scrollbar-track {
	background-color: @gray;
    -webkit-border-radius: 0px;
    border-radius: 0px;
}
::-webkit-scrollbar-thumb {
    -webkit-border-radius: 10px;
    border-radius: 0px;
    background: @lightGray; 
}
